; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[platformio]
default_envs = rpc

[env:rpc]
platform = ststm32@5.3.0
board = nucleo_l432kc
framework = mbed
build_flags = -std=gnu++11 -D DEBUG_BUILD
build_unflags = -std=gnu++98 -std=c++11
upload_protocol = mbed
monitor_speed = 921600
lib_deps =
	git+https://gitlab.com/altairLab/elasticteam/nucleo/libs/utility-lib.git
	git+https://gitlab.com/altairLab/elasticteam/nucleo/libs/hw-lib.git
check_tool = cppcheck
check_flags = --enable=all --verbose
check_severity = high
forecast_platform = rpc
